package com.ruoyi.orderManagement.finance.mapper;

import com.ruoyi.orderManagement.finance.domain.FTmsaccbillsitems;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;


/**
 * 财务明细Mapper接口
 * 
 * @author ruoyi
 * @date 2021-03-14
 */
public interface FTmsaccbillsitemsMapper 
{
    /**
     * 查询财务明细
     * 
     * @param id 财务明细ID
     * @return 财务明细
     */
    public FTmsaccbillsitems selectFTmsaccbillsitemsById(Long id);

    /**
     * 查询财务明细列表
     * 
     * @param fTmsaccbillsitems 财务明细
     * @return 财务明细集合
     */
    public List<FTmsaccbillsitems> selectFTmsaccbillsitemsList(FTmsaccbillsitems fTmsaccbillsitems);

    /**
     * 新增财务明细
     * 
     * @param fTmsaccbillsitems 财务明细
     * @return 结果
     */
    public int insertFTmsaccbillsitems(FTmsaccbillsitems fTmsaccbillsitems);

    /**
     * 修改财务明细
     * 
     * @param fTmsaccbillsitems 财务明细
     * @return 结果
     */
    public int updateFTmsaccbillsitems(FTmsaccbillsitems fTmsaccbillsitems);

    /**
     * 删除财务明细
     * 
     * @param id 财务明细ID
     * @return 结果
     */
    public int deleteFTmsaccbillsitemsById(Long id);

    /**
     * 批量删除财务明细
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteFTmsaccbillsitemsByIds(Long[] ids);

    int deleteByFPid(Long fId);

    int tfeeDoFollowUpdate(@Param("fPid") Long fPid, @Param("fettle") Long fettle);

    /**
     *  查询财务明细数据
     * @param id    明细id
     * @return  结果
     */
    public List<Map<String, Object>> selectItemsMapById(Long id);
}
